require "spec_helper"

describe CommonLicensesController do
  describe "routing" do

    it "routes to #index" do
      get("/common_licenses").should route_to("common_licenses#index")
    end

    it "routes to #new" do
      get("/common_licenses/new").should route_to("common_licenses#new")
    end

    it "routes to #show" do
      get("/common_licenses/1").should route_to("common_licenses#show", :id => "1")
    end

    it "routes to #edit" do
      get("/common_licenses/1/edit").should route_to("common_licenses#edit", :id => "1")
    end

    it "routes to #create" do
      post("/common_licenses").should route_to("common_licenses#create")
    end

    it "routes to #update" do
      put("/common_licenses/1").should route_to("common_licenses#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/common_licenses/1").should route_to("common_licenses#destroy", :id => "1")
    end

  end
end
